/***************************************************************
 * Name:      wxSmithNotepadMain.h
 * Purpose:   Defines Application Frame
 * Author:    Herman ()
 * Created:   2014-04-01
 * Copyright: Herman ()
 * License:
 **************************************************************/

#ifndef WXSMITHNOTEPADMAIN_H
#define WXSMITHNOTEPADMAIN_H

//(*Headers(wxSmithNotepadFrame)
#include <wx/menu.h>
#include <wx/textctrl.h>
#include <wx/filedlg.h>
#include <wx/button.h>
#include <wx/frame.h>
#include <wx/statusbr.h>
//*)

class wxSmithNotepadFrame: public wxFrame
{
    public:

        wxSmithNotepadFrame(wxWindow* parent,wxWindowID id = -1);
        virtual ~wxSmithNotepadFrame();

    private:

        //(*Handlers(wxSmithNotepadFrame)
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnButton1Click(wxCommandEvent& event);
        void OnMenuOpen(wxCommandEvent& event);
        //*)

        //(*Identifiers(wxSmithNotepadFrame)
        static const long ID_TEXTCTRL1;
        static const long ID_BUTTON1;
        static const long idMenuQuit;
        static const long ID_MenuOpen;
        static const long idMenuAbout;
        static const long ID_STATUSBAR1;
        //*)

        //(*Declarations(wxSmithNotepadFrame)
        wxButton* Button1;
        wxFileDialog* FileDialog1;
        wxMenuItem* MenuItem3;
        wxStatusBar* StatusBar1;
        wxTextCtrl* TextCtrl1;
        //*)

        DECLARE_EVENT_TABLE()
};

#endif // WXSMITHNOTEPADMAIN_H
